<template>
  <div class="project-network">
    <div class="project-block"></div>
    <p class="theme-min-headline">网络相关要求</p>
    <div class="network">
      <template v-for="(item, key) in items">
        <el-card class="box-card" :key="key" shadow="hover">
          <div slot="header" class="clearfix">
            <span class="card-index">{{ key + 1 }}</span
            >&nbsp;
            <span class="card-title">{{ item.title }}</span>
          </div>
          <div class="network-ctx" v-if="item.type === 'text'">
            <template v-for="(c, index) in item.ctx">
              <p
                :key="'ctx' + index"
                :class="
                  c.includes('（')
                    ? 'theme-small-headline'
                    : 'theme-content text'
                "
              >
                {{ c }}
              </p>
            </template>
          </div>
          <div class="network-ctx" v-if="item.type === 'table'">
            <el-table :data="item.ctx" border style="width: 100%">
              <el-table-column prop="softwareLow" label="软件配置需求（最低）">
                <template slot-scope="scope">
                  <p
                    v-for="(i, index) in scope.row.softwareLow"
                    :key="'softwareLow' + index"
                  >
                    {{ i }}
                  </p>
                </template>
              </el-table-column>
              <el-table-column prop="softwareHigh" label="软件配置需求（推荐）">
                <template slot-scope="scope">
                  <p
                    v-for="(i, index) in scope.row.softwareHigh"
                    :key="'softwareHigh' + index"
                  >
                    {{ i }}
                  </p>
                </template>
              </el-table-column>
            </el-table>
            <el-table :data="item.ctx" border style="width: 100%">
              <el-table-column prop="hardwareLow" label="配件配置需求（最低）">
                <template slot-scope="scope">
                  <p
                    v-for="(i, index) in scope.row.hardwareLow"
                    :key="'hardwareLow' + index"
                  >
                    {{ i }}
                  </p>
                </template>
              </el-table-column>
              <el-table-column prop="hardwareHigh" label="配件配置需求（推荐）">
                <template slot-scope="scope">
                  <p
                    v-for="(i, index) in scope.row.hardwareHigh"
                    :key="'hardwareHigh' + index"
                  >
                    {{ i }}
                  </p>
                </template>
              </el-table-column>
            </el-table>
          </div>
        </el-card>
      </template>
    </div>
  </div>
</template>
<script>
export default {
  name: "projectNetwork",
  data() {
    return {
      items: [
        {
          title: "有效链接网址",
          type: "text",
          ctx: ["http://virtualsimulation.ee.scut.edu.cn/"]
        },
        {
          title: "网络条件要求",
          type: "text",
          ctx: [
            "（1）说明客户端到服务器的带宽要求（需提供测试带宽服务）",
            "1）基于公有云服务器部署的系统，5M-10M带宽",
            "2）基于局域网服务器部署的系统，10M-50M带宽",
            "（2）说明能够支持的同时在线人数（需提供在线排队提示服务）",
            "支持200个学生同时在线并发访问和请求，如果单个实验被占用，则提示后面进行在线等待，登台前面一个预约实验结束后，进入下一个预约队列。"
          ]
        },
        {
          title: "用户操作系统要求（如Windows、Unix、IOS、Android等）",
          type: "text",
          ctx: [
            "（1）计算机操作系统和版本要求",
            "Windows7或以上。",
            "（2）其他计算终端操作系统和版本要求",
            "无",
            "（3）支持移动端： 否"
          ]
        },
        {
          title: "用户非操作系统软件配置要求（如浏览器、特定软件等）",
          type: "text",
          ctx: [
            "（1）需要特定插件  是",
            "插件名称：UnityWebPlayer ",
            "插件容量：1MB",
            "下载链接：https://unity3d.com/cn/webplayer",
            "（2）其他计算终端非操作系统软件配置要求（需说明是否可提供相关软件下载服务）",
            "主流浏览器，如谷歌浏览器，QQ浏览器，火狐浏览器。"
          ]
        },
        {
          title: "用户硬件配置要求（如主频、内存、显存、存储容量等）",
          type: "table",
          ctx: [
            {
              softwareLow: ["操作系统：Windows 2000以上", "浏览器：IE10.0以上"],
              softwareHigh: ["操作系统：Windows 7以上", "浏览器：Chrome59以上"],
              hardwareLow: [
                "操作系统：Windows7或以上",
                "处理器：Intel1.6GHz或以上",
                "内存：2GB或以上",
                "可用硬盘空间：不小于1GB",
                "显卡：Nvidia GTX580或以上",
                "网络：1000Mbps以太网卡",
                "显示器：14英寸或以上"
              ],
              hardwareHigh: [
                "操作系统：Windows7或以上",
                "处理器：Intel2.2GHz",
                "内存：4GB",
                "可用硬盘空间：不小于2GB",
                "显卡：Nvidia GTX580或以上",
                "网络：1000Mbps以太网卡",
                "显示器：14英寸或以上"
              ]
            }
          ]
        },
        {
          title: "用户特殊外置硬件要求（如可穿戴设备等）",
          type: "text",
          ctx: [
            "（1）计算机特殊外置硬件要求",
            "标准键鼠；可连接计算机的音频播放设备；可连接计算机的麦克风设备",
            "（2）其他计算终端特殊外置硬件要求",
            "若使用VR版本需配备虚拟现实头显和手柄"
          ]
        }
      ]
    };
  }
};
</script>
<style lang="scss" scoped>
.box-card {
  text-align: left;
  margin: 20px 0;
  .card-index {
    font-weight: 600;
    font-size: 30px;
    color: #e72324;
  }
  .card-title {
    font-size: 20px;
    font-weight: 600;
  }
  .network-ctx {
    line-height: 1.5;
    .text {
      padding-left: 30px;
    }
  }
}
</style>
